<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 9/9/2008
// Revised: 2/10/2012	ELL
// Added table prefix handling.
// Revised:	2/2/2012	ELL
// Fixed bug of "Save As" not creating new file.
	
	include ("check_session.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Copy/Rename Page Select | Breeze Website Builder</title>
<link rel="stylesheet" href="manager.css" type="text/css">

<style type="text/css">
#help_button	{	
	position:relative;
	display:block;
	top:-15px;
	left:215px;
	height:31px;
	width:31px;
	z-index:100;
}

#copy_rename_btn	{	width:130px;	}

#copy_radio_btn	{	
	width:130px;
	background-attachment:scroll;
	background-repeat:no-repeat;
	background-position: 5px 1px;
	background-image:url(images/icon_Copy_Pg.png);
}
#copy_radio_btn:hover	{	
	background-image:url(images/icon_Copy_Pg_mo.png);
}
#rename_radio_btn	{
	width:130px;
	background-attachment:scroll;
	background-repeat:no-repeat;
	background-position: 5px 1px;
	background-image:url(images/icon_Edit-Content.png);
}
#rename_radio_btn:hover	{
	background-image:url(images/icon_Edit-Content_mo.png);
}
</style>

<script language="javascript" type="text/javascript" src="js/copy_rename_page_select.js"></script>
</head>

<body>
<div class="button_heading_sub_level_1" id="copy_rename_pages_heading"><div class="button_heading_text_sub_level_1">Copy or Rename Pages</div><div class="help_button" id="help_button" onclick="OpenHelpWindow();">&nbsp;</div></div>

 <div style="text-align:center; margin-top:20px;">
	<form name="frmRenamePage" id="frmRenamePage" method="post" action="copy_rename_page.php">
    	<div class="radio_button" id="copy_radio_btn" onclick="document.getElementById('copy_mode[0]').checked = true; EnableDisableCreateNewTemplateCheckbox(document.getElementById('copy_mode[0]').value);">
        <span class='radio_button_text'>Copy</span>
        <input name="copy_mode" id="copy_mode[0]" type="radio" value="copy" checked="checked" />
        </div>
        or 
        <div class="radio_button" id="rename_radio_btn" onclick="document.getElementById('copy_mode[1]').checked = true; EnableDisableCreateNewTemplateCheckbox(document.getElementById('copy_mode[1]').value);">
        <span class='radio_button_text'>Rename</span>
        <input name="copy_mode" id="copy_mode[1]" type="radio" value="rename" />
        </div>
	   page
	  <select name="page_name" id="page_name" class="page_dropdown">
		<?php
			$query = "SELECT page_name FROM " . BWB_TABLE_PREFIX . "page_data ORDER BY page_name";
			$result = $bwb_dbh->query($query);
			$num_results = $result->rowCount();
			for ($i = 0; $i < $num_results; $i++)
			{
				$row = $result->fetch(PDO::FETCH_ASSOC);
				$page_name = $row["page_name"];
				echo "<option value='$page_name'>$page_name</option>";
			}
		?>
	  </select>
		to	
		<input type="text" name="new_name" id="new_name" onkeyup="CheckPageName(this.value);" onselect="CheckPageName(this.value);" />
	      <br>
          <label id="create_new_template_label">
	      <input type="checkbox" name="create_new_template_check" id="create_new_template_check" onchange="TransferPageNameOnCheck(this);" />
          <input type="hidden" name="create_new_template" id="create_new_template" value="0" />
	      Discard old page template and create new
          </label>
		<center style="margin-top:20px;">
          <div class="button_console_edit_disabled" id="copy_rename_btn" onClick="document.getElementById('frmRenamePage').submit();">
          	<span class='button_console_text_w_icon'>Copy/Rename</span>
          </div>
		</center>
        <input type="hidden" name="overwrite" value="0" />
        <input type="hidden" name="overwrite_content_only" value="0" />
	  </form>
      <br /><br /><br /><br /><br /><br /><br />
	<span class="small_message">Note: Renaming page will NOT change any links that you have created.
	Menu items will be updated automatically, but you will need to change any
	links that exist on any pages to reference the new page name.</span>
</div>

</body>
</html>